commit:     8ba9b4104869cad24ed6686315596fe9a148bfe6
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 28 13:56:02 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Apr 28 14:13:53 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8ba9b410

dev-python/meson-python: Bump to 0.13.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/meson-python/Manifest                   |  1 +
 dev-python/meson-python/meson-python-0.13.1.ebuild | 59 ++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/dev-python/meson-python/Manifest b/dev-python/meson-python/Manifest
index 12d9ab6d1756..071e40299d3d 100644
--- a/dev-python/meson-python/Manifest
+++ b/dev-python/meson-python/Manifest
@@ -1,2 +1,3 @@
 DIST meson-python-0.12.1.gh.tar.gz 43855 BLAKE2B 
96b9ff5ef628bb471f7f79ce30ec6f3f851ce0006327e8b3a6003fdcb768f3280c0ee882d1c0c8ea183b0f2319d7c977c3fbb62742e3127bafb73e9732b3a1a9
 SHA512 
6f8e840da0155f2dd0e7139387f875cfad79eb042abcfa69b3043f51cbae3222fc2986e13798389909a0b4719513c93af381ec00a69fdfedf14bbe4e100b2f08
 DIST meson-python-0.13.0.gh.tar.gz 69373 BLAKE2B 
439ec0fcffa5398ec400c492bc7719030981605c885158fd477e293b62c6e0eeaf3eba0327937817c20b7d23141749ff4bc71d12a67dbf3473168555cef97918
 SHA512 
2d319090f77daf5c1bd2a922e50e960fb416008ec60f3e8956ba4d2a29c31129e0a0d864982e9e1c0d6b7659d107e5d90d4a540d84f56cb2a8f79f013d4f14ae
+DIST meson-python-0.13.1.gh.tar.gz 69434 BLAKE2B 
c3442eb1c066772b80efe4e41764897df85a3581c94f9d958951af04e9ad7a01c646c7ed7f0104fbe957567e16b80c6e3744ab23b6b66a8df3cc920cb68c852f
 SHA512 
037825eabcaec5bdb73890114ecfcfb05373bcb5e2806a8d38e4afeeecea42aa14f9c8cf0bec151bd231e2984c64608b28a1ec79640485933cd57c8895b6a305

diff --git a/dev-python/meson-python/meson-python-0.13.1.ebuild 
b/dev-python/meson-python/meson-python-0.13.1.ebuild
new file mode 100644
index 000000000000..4ac32a433449
--- /dev/null
+++ b/dev-python/meson-python/meson-python-0.13.1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Meson PEP 517 Python build backend"
+HOMEPAGE="
+       https://pypi.org/project/meson-python/
+       https://github.com/mesonbuild/meson-python/
+"
+SRC_URI="
+       https://github.com/mesonbuild/meson-python/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+       >=dev-python/pyproject-metadata-0.7.1[${PYTHON_USEDEP}]
+       >=dev-util/meson-0.63.0[${PYTHON_USEDEP}]
+       dev-util/patchelf
+       $(python_gen_cond_dep '
+               >=dev-python/tomli-1.0.0[${PYTHON_USEDEP}]
+       ' 3.9 3.10)
+"
+BDEPEND="
+       >=dev-python/cython-0.29.34[${PYTHON_USEDEP}]
+       test? (
+               dev-python/GitPython[${PYTHON_USEDEP}]
+               dev-python/pytest-mock[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep '
+                       >=dev-python/typing-extensions-3.7.4[${PYTHON_USEDEP}]
+               ' 3.9)
+       )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # requires network access
+               tests/test_pep518.py::test_pep518
+               # requires git repo
+               # https://github.com/mesonbuild/meson-python/issues/397
+               tests/test_project.py::test_user_args
+       )
+       unset NINJA
+
+       epytest
+
+       rm -rf docs/examples/spam/build/ || die # remove artifacts
+}

Reply via email to